package com.link.base.basic.service;

import com.link.base.basic.dao.mybatis.mapper.BasicLogMapper;
import com.link.base.basic.model.BasicLog;
import com.link.core.basic.dao.mapper.BasicMapper;
import com.link.core.basic.service.BasicServiceImpl;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class BasicLogServiceImpl extends BasicServiceImpl<BasicLog> implements BasicLogService {
   @Resource
   private BasicLogMapper basicLogMapper;

   public BasicMapper<BasicLog> getBasicMapper() {
      return this.basicLogMapper;
   }

   public int addBasicLog(BasicLog record) throws Exception {
      return this.basicLogMapper.addBasicLog(record);
   }
}
